Page MenuHomePhabricator

Communicate changes to mobile web settings design
Closed, ResolvedPublic

Description

Summary
The settings interface on mobile web is receiving some love and attention. See parent task and https://www.mediawiki.org/wiki/Reading/Web/Settings

We need to let users known this is happening and where to provide bug reports and issues.

Description

Event Timeline

CKoerner_WMF triaged this task as Normal priority.Feb 8 2018, 9:10 PM
CKoerner_WMF created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2018, 9:10 PM

@ovasileva @Nirzar, Please review my summary. Do you think anything extra is necessary?

Two questions I have in my mind.
On the MediaWiki page for this feature, we mention directing feedback to the talk page there (https://www.mediawiki.org/wiki/Reading/Web/Settings)

  • Is the talk page going to be something I need to keep tabs on?
  • How long will that feedback link be present?
  • Are we calling this Settings or Preferences (it's preferences on desktop)? I don't want to accidentally mix up the words and would appreciate clarification.

How long will that feedback link be present?

when I put the link, I was thinking of it as a permanent way of providing feedback on Beta features.

Are we calling this Settings or Preferences (it's preferences on desktop)? I don't want to accidentally mix up the words and would appreciate clarification.

Good point, right now we calling it 'Settings' but we should converge in future.

Nirzar added a comment.EditedFeb 9 2018, 12:46 AM

Do you think anything extra is necessary?

The jumbled up phab cards won't give overall idea about the project including the feature promotion.

Here's a short summary I would say would be useful for people without much context


Reading Web team is promoting two important features out of Beta.

User Features -

  1. Font changer - This is an accessibility feature to increase font size of articles to read. a lot of mobile browsers do not have this feature in built. Accessibility is important to us, the feature has been in Beta mode for a while. we improved the way to change the font size and promoted it to stable [1]
  1. Expand sections by default - for avid readers and editors, opening up sections every time on articles could be taxing. Now there is a setting that will open up sections by default [2]
  1. Showing what changes are applied if a user enables Beta mode - Beta mode on mobile did not communicate to users what changes were getting applied to their experience. [3] This was a transparency issue as well as it helps us encouraging more people sign up for beta features by reading which features are available to test. This will help us collect feedback from more people about our experiments.

Technical feature -

  1. Use of modern UI library - Wikimedia Design has been developing style guide and UI library under OOUI framework. Mobilefrontend will use the components which are standard across other Wikimedia products. The components use accessible color palettes and UI states

[1] https://phabricator.wikimedia.org/T109363
[2] https://phabricator.wikimedia.org/T169257
[3] https://phabricator.wikimedia.org/T67079

@CKoerner_WMF - pretty much copy/pasted @Nirzar's comment into the update. It's a bit long, but I think it looks good: https://www.mediawiki.org/wiki/User:CKoerner_(WMF)/Mobie_web_settings_update. We should probably send it out next Wednesday or Thursday (changes will be live on Thursday) @Nirzar - we also have a page for the more in-depth descriptions (no reference to the phab ticket necessary unless people are curious, https://www.mediawiki.org/wiki/Reading/Web/Settings.

Elitre renamed this task from Communicate changes to mobile web settings design change to Communicate changes to mobile web settings design.Feb 9 2018, 2:17 PM

Yay, thank's ya'll for the help. I'm of the opinion that we should send it out earlier in the week. I suggested two weeks in the task description as to give volunteers time to read about the change before being surprised. However, I do think this is a positive, minor (in the grand scheme of things), and non-contraversal change. The addition of feedback links in the new design also means that folks can - now more than ever - discover how to provide feedback on the feature(s).

How about we say Monday or Tuesday to post to the venue in the description. If you're OK with that, and the wording of the announcement, I can make that happen.

Sounds good to me!

CKoerner_WMF updated the task description. (Show Details)Feb 9 2018, 5:12 PM
Nirzar added a comment.Feb 9 2018, 5:34 PM

@ovasileva

we also have a page for the more in-depth descriptions (no reference to the phab ticket necessary unless people are curious

ah missed that completely, my bad.

CKoerner_WMF updated the task description. (Show Details)Feb 13 2018, 3:43 PM

I want to give folks some time to give feedback before I close this task. I'll resolve in a week if there are no issues on the talk page.

Restricted Application edited projects, added Readers-Web-Backlog; removed Readers-Web-Backlog (Tracking). · View Herald TranscriptFeb 13 2018, 4:11 PM
Jdlrobson moved this task from Upcoming to 2017-18 Q3 on the Readers-Web-Backlog board.
CKoerner_WMF closed this task as Resolved.Feb 20 2018, 9:06 PM